summaryrefslogtreecommitdiffstats
path: root/bin/make-rsync-whitelist
diff options
context:
space:
mode:
Diffstat (limited to 'bin/make-rsync-whitelist')
-rwxr-xr-xbin/make-rsync-whitelist15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/make-rsync-whitelist b/bin/make-rsync-whitelist
new file mode 100755
index 00000000..a1b09c80
--- /dev/null
+++ b/bin/make-rsync-whitelist
@@ -0,0 +1,15 @@
+#! /bin/sh
+# make-rsync-whitelist : lines relpath |> liens rsync-filter
+set -euf
+
+set -- "$(cat)"
+
+# include all files in stdin and their directories
+{
+ echo "$1"
+ echo "$1" | make-parent-dirs | sort | uniq
+} \
+ | sed 's|^|+ /|'
+
+# exclude everything else
+echo '- *'